org.apache.lucene.facet.search

## Class FastCountingFacetsAggregator

- java.lang.Object
- - org.apache.lucene.facet.search.IntRollupFacetsAggregator
  - - org.apache.lucene.facet.search.FastCountingFacetsAggregator

- All Implemented Interfaces:
    FacetsAggregator

      public final class FastCountingFacetsAggregator
      extends IntRollupFacetsAggregator

  A `FacetsAggregator` which counts the number of times each category appears in the given set of documents. This aggregator reads the categories from the `BinaryDocValues` field defined by `CategoryListParams.field`, and assumes that the category ordinals were encoded with `DGapVInt8IntEncoder`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastCountingFacetsAggregator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(FacetsCollector.MatchingDocs matchingDocs, CategoryListParams clp, FacetArrays facetArrays)` Aggregate the facets found in the given matching documents.

    - ### Methods inherited from class org.apache.lucene.facet.search.IntRollupFacetsAggregator

      `requiresDocScores, rollupValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastCountingFacetsAggregator

          public FastCountingFacetsAggregator()

  - ### Method Detail

    - #### aggregate

          public final void aggregate(FacetsCollector.MatchingDocs matchingDocs,
                       CategoryListParams clp,
                       FacetArrays facetArrays)
                               throws IOException

      Description copied from interface: `FacetsAggregator`
      Aggregate the facets found in the given matching documents.
      Specified by:
        `aggregate` in interface `FacetsAggregator`
      Specified by:
        `aggregate` in class `IntRollupFacetsAggregator`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.